Subject: Re: bug#42539: 28.0.50 font face in mode line problem ?

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jul 2020 21:57:36 +0300

> From: Fabrice Popineau <[email-masked]>
> Date: Sun, 26 Jul 2020 19:58:00 +0200
> Cc: [email-masked]
> 
>  Does it help to give the nil value to use-default-font-for-symbols?
> 
> Unfortunately, it does not change the behaviour. 

You mean, it doesn't cause Emacs to obey set-fontset-font setting?  If
so, I don't know what's wrong; most probably there's something in this
complicated setup you didn't show, or maybe something that you did
show has some strange effect that I cannot spot.

In general, the character you tried to display belongs to the symbol
block, and Emacs by default uses the default face's font to display
it.  Setting use-default-font-for-symbols to nil disables that, and
Emacs should obey set-fontset-font.  That's all I know.